Package ghidra.util.table.field

# Class ProgramBasedDynamicTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE>

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.field.AbstractProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE>
ghidra.util.table.field.ProgramBasedDynamicTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE>

All Implemented Interfaces:
  `DynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>`, `ExtensionPoint`

Direct Known Subclasses:
  `FunctionBodySizeTableColumn`, `FunctionLocalStackSizeColumn`, `FunctionParameterStackSizeColumn`, `FunctionPurgeTableColumn`, `FunctionTagTableColumn`, `IsFunctionCustomStorageTableColumn`, `IsFunctionInlineTableColumn`, `IsFunctionNonReturningTableColumn`, `IsFunctionVarargsTableColumn`, `NamespaceTableColumn`, `OffcutReferenceCountToAddressTableColumn`, `ReferenceCountToAddressTableColumn`, `SourceTypeTableColumn`, `SymbolTypeTableColumn`

public abstract class ProgramBasedDynamicTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE> extends AbstractProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE> implements ExtensionPoint
NOTE: ALL ProgramBasedDynamicTableColumnExtensionPoint CLASSES MUST END IN "TableColumn". If not, the ClassSearcher will not find them.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgramBasedDynamicTableColumnExtensionPoint()`
  `ProgramBasedDynamicTableColumnExtensionPoint(String uniqueID)`

- ## Method Summary

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, getValue, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProgramBasedDynamicTableColumnExtensionPoint

    public ProgramBasedDynamicTableColumnExtensionPoint()

  - ### ProgramBasedDynamicTableColumnExtensionPoint

    public ProgramBasedDynamicTableColumnExtensionPoint(String uniqueID)